Bug 46039 - UMC system diagnostic module doesn't save log output
UMC system diagnostic module doesn't save log output
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - System diagnostic
UCS 4.2
Other Linux
: P5 major (vote)
: UCS 4.3-0-errata
Assigned To: Arvid Requate
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-15 13:24 CET by Arvid Requate
Modified: 2018-03-28 13:28 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017122121000421
Bug group (optional):
Max CVSS v3 score:


Attachments
screenshot systemdiagnose (171.75 KB, image/png)
2018-03-07 15:52 CET, Christina Scheinig
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2018-01-15 13:24:20 CET
Apparently the UMC system diagnostic module doesn't save log output. This essential for support. It needs to save the output of externally run programs like samba-tool, at minimum during the "fix" phase.
Comment 1 Christina Scheinig univentionstaff 2018-03-07 15:52:04 CET
Created attachment 9444 [details]
screenshot systemdiagnose
Comment 2 Christina Scheinig univentionstaff 2018-03-07 15:53:08 CET
I came across this situation more than two times now. The customer shows a screenshot of the diagnostic tool, but I have no possibility to check the diagnostic tool via USI, because /var/log/univention-management-module -diagnostic is nearly empty. 

Example output logfile:


02.03.18 21:17:58.146  MODULE      ( PROCESS ) : Loading python module.
02.03.18 21:17:58.246  MODULE      ( PROCESS ) : Imported python module.
02.03.18 21:17:58.246  MODULE      ( PROCESS ) : Module instance created.
02.03.18 21:17:58.247  MODULE      ( PROCESS ) : Module socket initialized.
02.03.18 21:17:58.261  MODULE      ( PROCESS ) : Setting user LDAP DN 'uid=Administrator,cn=users,dc=sunshine,dc=me'
02.03.18 21:17:58.261  MODULE      ( PROCESS ) : Setting auth type to None
02.03.18 21:17:58.262  MODULE      ( PROCESS ) : Initializing module.



Comment 3 Arvid Requate univentionstaff 2018-03-20 19:44:59 CET
Fixed together with Bug 45584:

e2a8d07591 | Log output of actions
c6b920f090 | Advisory
Comment 4 Felix Botner univentionstaff 2018-03-21 11:44:56 CET
i git the following message after the 40_samba_tool_dbcheck.py  fix button

--- 

Problem repariert:

Mit diesem Modul kann das System auf verschiedene bekannte Probleme analysiert werden. Wenn das System in der Lage ist gefundene Probleme automatisch zu beheben werden die Funktionen als weitere Buttons angeboten. Andererseits können die Probleme mithilfe der angezeigten Links zu Artikeln und verlinkten UMC Modulen von Hand gelöst werden.
`samba-tool dbcheck --fix --cross-ncs --yes` ist fehlgeschlagen.

STDOUT:
Checking 3495 objects
ERROR: incorrect DN SID component for member in object CN=Domain Users,CN=Groups,DC=four,DC=three - ;;;;;;;;CN=Administrator,CN=Users,DC=four,DC=three
Change DN to ;;CN=Administrator,CN=Users,DC=four,DC=three? [YES]
Fixed incorrect DN SID on attribute member
Checked 3495 objects (1 errors)

`samba-tool dbcheck` hat keine Probleme mit der lokalen AD Datenbank gefunden.

STDOUT:
Checking 265 objects

Checked 265 objects (0 errors)
Comment 5 Arvid Requate univentionstaff 2018-03-21 12:48:17 CET
5d43b4d22d | samba-tool dbcheck --fix always returns != 0
3daf8ff89b | Advisory
Comment 6 Felix Botner univentionstaff 2018-03-21 13:36:37 CET
OK - log output and umc output
OK - yaml
Comment 7 Arvid Requate univentionstaff 2018-03-28 13:28:34 CEST
<http://errata.software-univention.de/ucs/4.3/6.html>